# Uses of Interface
org.opensaml.xmlsec.signature.support.SignatureValidationProvider

Packages that use SignatureValidationProvider
Package
Description
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.
org.opensaml.xmlsec.signature.support.impl.provider
Provides Santuario-specific implementation of signing and validation.

## Uses of SignatureValidationProvider in org.opensaml.xmlsec.signature.support

Fields in org.opensaml.xmlsec.signature.support declared as SignatureValidationProvider
Modifier and Type
Field
Description
`private static SignatureValidationProvider`
SignatureValidator.`validatorInstance`
The cached signature validation provider instance to use.
Methods in org.opensaml.xmlsec.signature.support that return SignatureValidationProvider
Modifier and Type
Method
Description
`private static SignatureValidationProvider`
SignatureValidator.`getSignatureValidationProvider()`
Obtain the `SignatureValidationProvider` instance to be used.

## Uses of SignatureValidationProvider in org.opensaml.xmlsec.signature.support.impl.provider

Classes in org.opensaml.xmlsec.signature.support.impl.provider that implement SignatureValidationProvider
Modifier and Type
Class
Description
`class`
`ApacheSantuarioSignatureValidationProviderImpl`
Implementation of `SignatureValidationProvider` which is based on the Apache Santuario library and is used with `Signature` instances which are instances of `SignatureImpl`.